import React from "react";

import NavBar from "../components/NavBar";

type OwnProps = {
  title: string;
  children?: JSX.Element | JSX.Element[];
  suffix?: JSX.Element;
};

const Layout = ({ title, children, suffix }: OwnProps) => {
  return (
    <>
      <NavBar />
      <div className="container pb-5">
        <div className="layout-title-container">
          <h4 className="mb-3">{title}</h4>
          {suffix}
        </div>
        {children}
      </div>
    </>
  );
};

export default Layout;
