import { ACTIONS } from ".";
import { ApplicationPayloadType } from "../types";

export const updateApplication = (
  payload: {
    candidateId: string;
    applicationId: string;
    update: any;
  },
  success?: () => void
) => ({
  type: ACTIONS.UPDATE_APPLICATION,
  payload,
  success,
});

export const updateApplicationAction = (
  payload: {
    applicationId: string;
    update: any;
  },
  success?: () => void
) => ({
  type: ACTIONS.UPDATE_APPLICATION_ACTION,
  payload,
  success,
});

export const createMeeting = (
  payload: ApplicationPayloadType,
  success?: (roomId: string | null) => void
) => ({
  type: ACTIONS.CREATE_MEETING,
  payload,
  success,
});

export const endMeeting = (
  payload: { application: ApplicationPayloadType; roomId: string },
  success?: () => void
) => ({
  type: ACTIONS.END_MEETING,
  payload,
  success,
});
