import { request } from "../lib/api";
import {
  SignUpPayload,
  SignInPayload,
  ControlsType,
  UpdatePasswordPayload,
} from "../types";

export default class AuthAPI {
  static signup = (payload: SignUpPayload) =>
    request("<BASE_URL>/auth/signup", "POST", payload, true);

  static signin = (payload: SignInPayload) =>
    request("<BASE_URL>/auth/login", "POST", payload, true);

  static updateControls = (payload: ControlsType) =>
    request("<BASE_URL>/auth/update", "POST", payload);

  static updatePassword = (payload: UpdatePasswordPayload) =>
    request("<BASE_URL>/auth/change-pwd", "POST", payload);
}
