import { ACTIONS } from "../actions/index";
import { AuthReducer, USER_TYPE } from "../types";

const INITIAL_STATE: AuthReducer = {
  token: null,
  candidate: {},
  organization: {},
  userType: USER_TYPE.CANDIDATE,
  userId: "",
  appState: null,
};

const authReducer = (
  state = INITIAL_STATE,
  { type, payload }: { type: ACTIONS; payload: any }
): AuthReducer => {
  switch (type) {
    case ACTIONS.SET_AUTH:
      return { ...state, ...(payload as AuthReducer) };

    case ACTIONS.SET_APP_STATE:
      return { ...state, appState: payload };

    case ACTIONS.SET_USER_TYPE:
      return { ...state, userType: payload };

    case ACTIONS.SIGN_OUT_USER:
      return { ...state, token: null };

    default:
      return state;
  }
};

export default authReducer;
