import React from "react";
import { useSelector } from "react-redux";
import { Reducers } from "../common/types";
import Charts from "./Charts";
import ResultTable from "./ResultTable";

const KeystrokeResults = () => {
  const keystrokeResult = useSelector(
    (state: Reducers) => state.auth.keystrokeResult
  );

  return (
    <div className="container">
      <div className="row mt-5">
        <div className="col-lg">
          <ResultTable data={keystrokeResult?.result} />
        </div>
      </div>
      <div className="row  mt-5 ">
        <Charts
          title="Overall keystroke"
          real={keystrokeResult?.db.full}
          attempts={keystrokeResult?.attempt.full}
        />
      </div>
      <div className="row">
        <Charts
          title="DD keystroke"
          real={keystrokeResult?.db.dd}
          attempts={keystrokeResult?.attempt.dd}
        />
        <Charts
          title="Hold keystroke"
          real={keystrokeResult?.db.hold}
          attempts={keystrokeResult?.attempt.hold}
        />
        <Charts
          title="Flight keystroke"
          real={keystrokeResult?.db.flight}
          attempts={keystrokeResult?.attempt.flight}
        />
      </div>
    </div>
  );
};

export default KeystrokeResults;
