import React from "react";
import CustomModal from "./Modals/Modal";
import { OnboardSteps } from "../common/types";
import Progress from "./Progress";

type OwnProps = {
  isOpen: boolean;
  onboardStep: OnboardSteps;
  onPressUploadResume: () => void;
  onPressUploadSelfIntro: () => void;
  progress: number;
  onPressOnboard: () => void;
};

const Onboarder = ({
  isOpen,
  onboardStep,
  onPressUploadResume,
  onPressUploadSelfIntro,
  progress,
  onPressOnboard,
}: OwnProps) => {
  return (
    <CustomModal
      isOpen={isOpen}
      onRequestClose={() => {}}
      shouldCloseOnOverlayClick={false}
      size="lg"
    >
      <h5 className="mb-3">Complete your profile</h5>
      {onboardStep === OnboardSteps.RESUME ? (
        <div className="row">
          <label className="col-sm-6 col-form-label">
            <h6>1. Upload your resume</h6>
          </label>
          <div className="col-sm-6">
            <button
              type="button"
              className="btn btn-primary"
              style={{ width: "200px" }}
              onClick={onPressUploadResume}
            >
              Choose resume
            </button>
          </div>
        </div>
      ) : (
        <div className="row">
          <label className="col-sm-6 col-form-label">
            <h6>2. Upload a self introduction video</h6>
          </label>
          <div className="col-sm-6">
            <button
              type="button"
              className="btn btn-primary"
              style={{ width: "200px" }}
              onClick={onPressUploadSelfIntro}
            >
              Choose video
            </button>
          </div>
        </div>
      )}

      <Progress progress={progress} />
      <hr />
      <div className="d-md-block">
        <button
          type="button"
          className="btn btn-warning btn-sm"
          style={{ width: "100px", float: "right" }}
          onClick={onPressOnboard}
        >
          Next
        </button>
      </div>
    </CustomModal>
  );
};

export default Onboarder;
